Bug 213030 - Generic/text-only printer dropped in FC6?
Generic/text-only printer dropped in FC6?
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
Blocks: FC6Update 213034
  Show dependency treegraph
Reported: 2006-10-30 11:55 EST by Peter Fales
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2.5-2.fc6.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-07 17:30:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Fales 2006-10-30 11:55:09 EST
Description of problem:

Did an upgrade from FC4 to FC6.   Most of the printers were migrated cleanly,
but a very dumb text-only printer stopped working.   I tried to restore it using
system-config-printer, but Generic/text-only is no longer listed as a choice. 
Is there a reason why this was dropped?  I can't believe I'm the only one using
a text-only printer.

Version-Release number of selected component (if applicable):

How reproducible:  very

Steps to Reproduce:
1. Run system-config-printer
2. Select "New" and create local printer.  Use "Generic" for Manufacturer
Actual results: "Text Only Printer" is not listed as a choice.

Expected results:  Able to see and select "Text Only Printer"

Additional info: I was able to work around the problem by copying the .ppd file
and /usr/lib/cups/filter/textonly from the FC4 backups.
Comment 1 Tim Waugh 2006-10-30 11:59:34 EST
Yes, it somehow got missed in the re-write.  We'll add it back in.
Comment 3 Tim Waugh 2006-10-31 08:33:34 EST
Fixed in CVS.
Comment 4 Tim Waugh 2006-11-01 04:50:28 EST
This test update should restore the text-only printer:

Comment 5 Fedora Update System 2006-11-07 17:25:37 EST
Fixed in update: cups-1.2.5-2.fc6.8

Note You need to log in before you can comment on or make changes to this bug.